import Numeric as N


from RandomArray import random

lon=N.arange(50)
lat=N.arange(30)
lev=N.arange(20)
arrayshape = ( (len(lon), len(lat), len(lev)) )
ranarray = random(arrayshape)*5. + 273.



import Scientific.IO.NetCDF as S
import cdms, vcs
import os
os.environ['XGKSFontDir'] = '/usr/local/lib/xgksfonts'

f = S.NetCDFFile('~/obsdata/ecmwf_2y/pv500_2y.nc', mode='r')
lonobj = f.variables['longitude']
lonarr = lonobj.getValue()
latobj = f.variables['latitude']
latarr = latobj.getValue()
varobj = f.variables['pv']
vararr = varobj.getValue()

scale_factor = varobj.scale_factor
add_offset = varobj.add_offset


v = vcs.init()
v.setcolormap("AMIP")
my_isofill = v.createisofill('pv_isofill')
my_isofill.levels = tuple(N.arange(17)*0.5-4.)

#for i in range(10):
#    for j in range(4):

for i in [0]:
    for j in [0]:
        pv = (vararr[i,j,:,:]*scale_factor+add_offset) / 1e-6
        pv = N.transpose(pv)
        lonAxis = cdms.createAxis(lonarr)
        latAxis = cdms.createAxis(latarr)
        v.plot(pv, my_isofill, xaxis=lonAxis, yaxis=latAxis)

#===end prog===

#        import pdb          #@@@
#        pdb.set_trace()     #@@@
#        print 'stop here'   #@@@

#@@@q's to answer:  examine the dimensions attribute for the NetCDFFile
#  object, add continents, how do overplot onto same scale,
#  how smooth it so it's not boxfill, dump individual plots into
#  the animation mode, focus in on just n. hemisphere?

#import cdms, vcs
#cdms.setAutoReshapeMode('on')
#f = cdms.open('~/obsdata/ecmwf_2y/pv500_2y.nc')
#pv=f.variables['pv']
#data=pv[...]
#v = vcs.init()
#v.plot(array)



#import pdb          #@@@
#pdb.set_trace()     #@@@
#print 'stop here'   #@@@

