import atmqty
import Numeric as N
lat = N.arange(13) * 15.0 - 90.0
lon = N.arange(25) * 15.0 - 180.0
lev = N.array(850.)
base = N.outerproduct(N.sin(lat*N.pi/360.), N.cos(lon*N.pi/360.))
base = N.reshape(base, (base.shape[0], base.shape[1], 1))
T = (base * 10.) + 257.3
q = base * 5e-3
x = atmqty.AtmQty(lat, lon, lev)
x.add_qty( {'q':q}, {'T':T} )
x.theta()
[x.qty['theta'][i,0,0] for i in range(4)]
